libraw1394: version 2.0.4
Prev |  | Next

# raw1394_iso_recv_flush

## Name

raw1394_iso_recv_flush -- flush all already received iso packets from kernel into user space

## Synopsis

``int raw1394_iso_recv_flush` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

If you specified an irq_interval > 1 in iso_recv_init, you won't be notified for every single iso packet, but for groups of them. Now e.g. if irq_interval is 100, and you were just notified about iso packets and after them only 20 more packets arrived, no notification will be generated (20 < 100). In the case that you know that there should be more packets at this moment, you can call this function and all iso packets which are already received by the kernel will be flushed out to user space.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_iso_xmit_sync | Up | raw1394_iso_stop